import request from "@/utils/request";
export * from "./login";
export * from "./statisticalManage/followupStatistical";
export function fileUpload(file, namespace) {
  namespace = "internal"
  const formData = new FormData();
  formData.append("file", file);
  formData.append("namespace", namespace);
  return request({
    url: `/file/upload`,
    method: "post",
    data: formData,
    headers: {
      "Content-Type": "multipart/form-data",
    },
  });
}

// 获取文章详情
export function getArticleTemp(id) {
  return request({
    url: `/common/article-temp/detail/${id}`,
    method: "get",
  });
}
// 获取文章详情
export function getArticleSnapshot(id) {
  return request({
    url: `/common/article-snapshot/detail/${id}`,
    method: "get",
  });
}
